Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QElementFactory

    java.lang.Object
      |
      +--com.jxml.quick.QBase
            |
            +--com.jxml.quick.QFilterFactory
                  |
                  +--com.jxml.quick.QListFactory
                        |
                        +--com.jxml.quick.QSeqFactory
                              |
                              +--com.jxml.quick.engine.QCMFactory
                                    |
                                    +--com.jxml.quick.engine.QCMSeqFactory
                                          |
                                          +--com.jxml.quick.engine.QElementFactory

All Implemented Interfaces:
  com.jxml.quick.engine.QMEI

public final class QElementFactory
extends QCMSeqFactory
implements com.jxml.quick.engine.QMEI

Inner classes inherited from class com.jxml.quick.QSeqFactory
`QSeqFactory.QSeq`

Inner classes inherited from class com.jxml.quick.QListFactory
`QListFactory.QList`

Inner classes inherited from class com.jxml.quick.QFilterFactory
`QFilterFactory.QFilter`

Field Summary
`ArrayList` | `comments`
`boolean` | `conditional`
`boolean` | `isAttList`
`boolean` | `isBimodal`
`boolean` | `isCData`
`boolean` | `isIdRef`
`ArrayList` | `subclassFactories`
`String` | `tagName`
`QTargetFactory` | `targetFactory`
`boolean` | `wild`

Fields inherited from class com.jxml.quick.engine.QCMFactory
`access, optional, repeating`

Fields inherited from class com.jxml.quick.QListFactory
`factories`

Fields inherited from class com.jxml.quick.QFilterFactory
`newContext`

Constructor Summary
`QElementFactory()`

Method Summary
`void` | `addSubclass(QElementFactory ef)`
`QTargetFactory` | `getTargetFactory()`
`protected QFilterFactory.QFilter` | `newFilter()`
`void` | `setSuperclass(QElementFactory ef)`

Methods inherited from class com.jxml.quick.engine.QCMFactory
`instantiate`

Methods inherited from class com.jxml.quick.QListFactory
`addFactory, importFactories`

Methods inherited from class com.jxml.quick.QFilterFactory
`addToFactory, createContext, createFilter, initFF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tagName

    public String tagName

### isIdRef

    public boolean isIdRef

### wild

    public boolean wild

### subclassFactories

    public ArrayList subclassFactories

### targetFactory

    public QTargetFactory targetFactory

### isAttList

    public boolean isAttList

### conditional

    public boolean conditional

### comments

    public ArrayList comments

### isBimodal

    public boolean isBimodal

### isCData

    public boolean isCData

Constructor Detail

### QElementFactory

    public QElementFactory()

Method Detail

### newFilter

    protected QFilterFactory.QFilter newFilter()
                                        throws QE

  Overrides:
    `newFilter` in class `QCMSeqFactory`

### getTargetFactory

    public QTargetFactory getTargetFactory()

  Specified by:
    `getTargetFactory` in interface `com.jxml.quick.engine.QMEI`

### addSubclass

    public void addSubclass(QElementFactory ef)
                     throws QE

### setSuperclass

    public void setSuperclass(QElementFactory ef)
                       throws QE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD